Conference Calls
All operations require authentication.
List conference servicesProduction
List conference services. Returns the conference services of the billing account. A conference service hosts calls between several participants.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ conference \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a conference serviceProduction
Get a conference service. Returns the conference service: description and offers. Settings, rooms and participants have their own routes.
Path parameters
The name of your billingAccount
Response
All existing types
aliaslineExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ conference/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "description": "string", "offers": [ "string" ], "serviceName": "string", "serviceType": "alias"}
Upload the welcome announcementProduction
Upload the welcome announcement. Uploads the sound played to participants when they join the conference.
Path parameters
The name of your billingAccount
Request body (required)
ID of the /me/document file you want to import
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ conference/ {serviceName}/ announceUpload \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
List past conferencesProduction
List past conferences. Returns the identifiers of the past conferences, filtered by start date. Get one for its duration, participants and recording.
Path parameters
The name of your billingAccount
Query parameters
Filter the value of dateBegin property (>=)
Filter the value of dateBegin property (<=)
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ conference/ {serviceName}/ histories \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a past conferenceProduction
Get a past conference. Returns the past conference: start and end dates, duration, participants and connections, events, and the recording URL if recorded.
Path parameters
The name of your billingAccount
Id of the object
Response
The count of connections to the conference
The count of unique participants of the conference
The date the conference began
The date the conference end
The duration of the conference in seconds
The events of the conference (participants joining/left)
The id of the conference history
The audio record url if you set recording
Example uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ conference/ {serviceName}/ histories/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "countConnections": 0, "countParticipants": 0, "dateBegin": "2024-01-01T12:00:00Z", "dateEnd": "2024-01-01T12:00:00Z", "duration": 0, "events": [ { "callerid": "string", "date": "2024-01-01T12:00:00Z", "type": "string" } ], "id": 0, "recordUrl": "string"}
Get live conference informationProduction
Get live conference information. Returns live information about the conference: start date, lock state and number of members.
Path parameters
The name of your billingAccount
Response
The date when the conference began
Whether or not the conference room is locked
The current participants count in your conference room
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ conference/ {serviceName}/ informations \
-H "authorization: Bearer $OVH_TOKEN"{ "dateStart": "2024-01-01T12:00:00Z", "locked": true, "membersCount": 0}
Lock the conference roomProduction
Lock the conference room. Locks the conference room. No new participant can join. Returns the task that performs it.
Path parameters
The name of your billingAccount
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ conference/ {serviceName}/ lock \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
List participantsProduction
List participants. Returns the identifiers of the participants currently in the conference. Get a participant for its number, name and audio state.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ conference/ {serviceName}/ participants \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a participantProduction
Get a participant. Returns the participant: number, name, arrival time and audio state (talking, can speak, can hear, audio level).
Path parameters
The name of your billingAccount
Id of the object
Response
The arrival datetime of the participant in the conference.
The caller name of the participant
The caller number of the participant
The current level of the participant audio transmission
Whether the participant is active in the room
Whether the participant can hear the conference
The id of the participant
Whether the participant can talk in the conference
Whether the participant is talking
Example uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ conference/ {serviceName}/ participants/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "arrivalDateTime": "2024-01-01T12:00:00Z", "callerName": "string", "callerNumber": "string", "energy": 0, "floor": true, "hear": true, "id": 0, "speak": true, "talking": true}
Deafen a participantProduction
Deafen a participant. Stops the participant from hearing the conference. Returns the task that performs it.
Path parameters
The name of your billingAccount
Id of the object
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ conference/ {serviceName}/ participants/ {id}/ deaf \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
Change a participant audio levelProduction
Change a participant audio level. Changes the audio level (energy) the participant must reach to be heard. Returns the task that performs it.
Path parameters
The name of your billingAccount
Id of the object
Request body (required)
The value of energy level
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ conference/ {serviceName}/ participants/ {id}/ energy \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
Eject a participantProduction
Eject a participant. Removes the participant from the conference room. Returns the task that performs it.
Path parameters
The name of your billingAccount
Id of the object
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ conference/ {serviceName}/ participants/ {id}/ kick \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
Mute a participantProduction
Mute a participant. Mutes the participant, who can still hear the conference. Returns the task that performs it.
Path parameters
The name of your billingAccount
Id of the object
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ conference/ {serviceName}/ participants/ {id}/ mute \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
Undeafen a participantProduction
Undeafen a participant. Lets the participant hear the conference again. Returns the task that performs it.
Path parameters
The name of your billingAccount
Id of the object
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ conference/ {serviceName}/ participants/ {id}/ undeaf \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
Unmute a participantProduction
Unmute a participant. Unmutes the participant, who can talk in the conference again. Returns the task that performs it.
Path parameters
The name of your billingAccount
Id of the object
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ conference/ {serviceName}/ participants/ {id}/ unmute \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
List conference roomsProduction
List conference rooms. Returns the room numbers of the conference service. Each room has its own PIN, language and recording settings.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ conference/ {serviceName}/ rooms \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a conference roomProduction
Get a conference room. Returns the conference room and its settings: PIN, language, recording, announcement, report and expiration date.
Path parameters
The name of your billingAccount
The conference room number
Response
Whether announce file is played before entrance
The announce file name
The announce sound id
Whether anonymous participants are allowed
Whether participants enter conference room muted
The events channel hash
The expiration date of the conference room.
The conference sounds language
deenesfritThe conference pin number
Whether conference is recorded
AI generated content (summary and/or transcript) appended to the conference report mail. Requires recordStatus and a reportStatus other than none; set it back to none before disabling them
nonesummarytranscripttranscript+summaryThe email address to send conference report to
The status of the reporting
customernoneotherThe conference room number
True if you want to receive a white-labelled mail report of your conference
Example uses billingAccount = string, roomNumber = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ conference/ {serviceName}/ rooms/ {roomNumber} \
-H "authorization: Bearer $OVH_TOKEN"{ "announceFile": true, "announceFilename": "string", "announceSoundId": 0, "anonymousRejection": true, "enterMuted": true, "eventsChannel": "string", "expirationDate": "2024-01-01T12:00:00Z", "language": "de", "pin": "string", "recordStatus": true, "reportAiContent": "none", "reportEmail": "string", "reportStatus": "customer", "roomNumber": 0, "whiteLabelReport": true}
Create a conference roomProduction
Create a conference room. Creates a conference room with the given room number, or a random one if not specified. Returns the room.
Path parameters
The name of your billingAccount
Request body (required)
The room number (a random number will be generated if not specified)
Response
Whether announce file is played before entrance
The announce file name
The announce sound id
Whether anonymous participants are allowed
Whether participants enter conference room muted
The events channel hash
The expiration date of the conference room.
The conference sounds language
deenesfritThe conference pin number
Whether conference is recorded
AI generated content (summary and/or transcript) appended to the conference report mail. Requires recordStatus and a reportStatus other than none; set it back to none before disabling them
nonesummarytranscripttranscript+summaryThe email address to send conference report to
The status of the reporting
customernoneotherThe conference room number
True if you want to receive a white-labelled mail report of your conference
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ conference/ {serviceName}/ rooms \
-H "authorization: Bearer $OVH_TOKEN"{ "announceFile": true, "announceFilename": "string", "announceSoundId": 0, "anonymousRejection": true, "enterMuted": true, "eventsChannel": "string", "expirationDate": "2024-01-01T12:00:00Z", "language": "de", "pin": "string", "recordStatus": true, "reportAiContent": "none", "reportEmail": "string", "reportStatus": "customer", "roomNumber": 0, "whiteLabelReport": true}
Update a conference roomProduction
Update a conference room. Updates the room settings: PIN, language, muted entry, recording, anonymous rejection, announcement, report and expiration date.
Path parameters
The name of your billingAccount
The conference room number
Request body (required)
Whether announce file is played before entrance
The announce file name
The announce sound id
Whether anonymous participants are allowed
Whether participants enter conference room muted
The events channel hash
The expiration date of the conference room.
The conference sounds language
deenesfritThe conference pin number
Whether conference is recorded
AI generated content (summary and/or transcript) appended to the conference report mail. Requires recordStatus and a reportStatus other than none; set it back to none before disabling them
nonesummarytranscripttranscript+summaryThe email address to send conference report to
The status of the reporting
customernoneotherThe conference room number
True if you want to receive a white-labelled mail report of your conference
Response
Example uses billingAccount = string, roomNumber = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ conference/ {serviceName}/ rooms/ {roomNumber} \
-H "authorization: Bearer $OVH_TOKEN"List past conferencesProduction
List past conferences. Returns the identifiers of the past conferences, filtered by start date. Get one for its duration, participants and recording.
Path parameters
The name of your billingAccount
The conference room number
Query parameters
Filter the value of dateBegin property (>=)
Filter the value of dateBegin property (<=)
Response
Example uses billingAccount = string, roomNumber = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ conference/ {serviceName}/ rooms/ {roomNumber}/ histories \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a past conferenceProduction
Get a past conference. Returns the past conference: start and end dates, duration, participants and connections, events, and the recording URL if recorded.
Path parameters
The name of your billingAccount
Id of the object
The conference room number
Response
The count of connections to the conference
The count of unique participants of the conference
The date the conference began
The date the conference end
The duration of the conference in seconds
The events of the conference (participants joining/left)
The id of the conference history
The audio record url if you set recording
Example uses billingAccount = string, id = 0, roomNumber = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ conference/ {serviceName}/ rooms/ {roomNumber}/ histories/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "countConnections": 0, "countParticipants": 0, "dateBegin": "2024-01-01T12:00:00Z", "dateEnd": "2024-01-01T12:00:00Z", "duration": 0, "events": [ { "callerid": "string", "date": "2024-01-01T12:00:00Z", "type": "string" } ], "id": 0, "recordUrl": "string"}
Lock the conference roomProduction
Lock the conference room. Locks the conference room. No new participant can join. Returns the task that performs it.
Path parameters
The name of your billingAccount
The conference room number
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, roomNumber = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ conference/ {serviceName}/ rooms/ {roomNumber}/ lock \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
List participantsProduction
List participants. Returns the identifiers of the participants currently in the conference. Get a participant for its number, name and audio state.
Path parameters
The name of your billingAccount
The conference room number
Response
Example uses billingAccount = string, roomNumber = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ conference/ {serviceName}/ rooms/ {roomNumber}/ participants \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a participantProduction
Get a participant. Returns the participant: number, name, arrival time and audio state (talking, can speak, can hear, audio level).
Path parameters
The name of your billingAccount
Id of the object
The conference room number
Response
The arrival datetime of the participant in the conference.
The caller name of the participant
The caller number of the participant
The current level of the participant audio transmission
Whether the participant is active in the room
Whether the participant can hear the conference
The id of the participant
Whether the participant can talk in the conference
Whether the participant is talking
Example uses billingAccount = string, id = 0, roomNumber = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ conference/ {serviceName}/ rooms/ {roomNumber}/ participants/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "arrivalDateTime": "2024-01-01T12:00:00Z", "callerName": "string", "callerNumber": "string", "energy": 0, "floor": true, "hear": true, "id": 0, "speak": true, "talking": true}
Deafen a participantProduction
Deafen a participant. Stops the participant from hearing the conference. Returns the task that performs it.
Path parameters
The name of your billingAccount
Id of the object
The conference room number
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, id = 0, roomNumber = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ conference/ {serviceName}/ rooms/ {roomNumber}/ participants/ {id}/ deaf \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
Change a participant audio levelProduction
Change a participant audio level. Changes the audio level (energy) the participant must reach to be heard. Returns the task that performs it.
Path parameters
The name of your billingAccount
Id of the object
The conference room number
Request body (required)
The value of energy level
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, id = 0, roomNumber = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ conference/ {serviceName}/ rooms/ {roomNumber}/ participants/ {id}/ energy \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
Eject a participantProduction
Eject a participant. Removes the participant from the conference room. Returns the task that performs it.
Path parameters
The name of your billingAccount
Id of the object
The conference room number
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, id = 0, roomNumber = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ conference/ {serviceName}/ rooms/ {roomNumber}/ participants/ {id}/ kick \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
Mute a participantProduction
Mute a participant. Mutes the participant, who can still hear the conference. Returns the task that performs it.
Path parameters
The name of your billingAccount
Id of the object
The conference room number
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, id = 0, roomNumber = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ conference/ {serviceName}/ rooms/ {roomNumber}/ participants/ {id}/ mute \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
Undeafen a participantProduction
Undeafen a participant. Lets the participant hear the conference again. Returns the task that performs it.
Path parameters
The name of your billingAccount
Id of the object
The conference room number
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, id = 0, roomNumber = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ conference/ {serviceName}/ rooms/ {roomNumber}/ participants/ {id}/ undeaf \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
Unmute a participantProduction
Unmute a participant. Unmutes the participant, who can talk in the conference again. Returns the task that performs it.
Path parameters
The name of your billingAccount
Id of the object
The conference room number
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, id = 0, roomNumber = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ conference/ {serviceName}/ rooms/ {roomNumber}/ participants/ {id}/ unmute \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
Unlock the conference roomProduction
Unlock the conference room. Unlocks the conference room. New participants can join again. Returns the task that performs it.
Path parameters
The name of your billingAccount
The conference room number
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, roomNumber = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ conference/ {serviceName}/ rooms/ {roomNumber}/ unlock \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
List web accessesProduction
List web accesses. Returns the identifiers of the public web accesses to the conference. A web access gives a read or write URL to follow the conference.
Path parameters
The name of your billingAccount
The conference room number
Response
Example uses billingAccount = string, roomNumber = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ conference/ {serviceName}/ rooms/ {roomNumber}/ webAccess \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a web accessProduction
Get a web access. Returns the public web access to the conference: its type (read or write) and its URL.
Path parameters
The name of your billingAccount
Id of the object
The conference room number
Response
The id of the conference web access
The type of the conference web access : read or write
readwriteThe URL of the conference web access
Example uses billingAccount = string, id = 0, roomNumber = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ conference/ {serviceName}/ rooms/ {roomNumber}/ webAccess/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "id": 0, "type": "read", "url": "string"}
Create a web accessProduction
Create a web access. Creates a public web access to follow and manage the conference. Returns its URL.
Path parameters
The name of your billingAccount
The conference room number
Request body (required)
The type of the conference web access : read or write
readwriteResponse
The id of the conference web access
The type of the conference web access : read or write
readwriteThe URL of the conference web access
Example uses billingAccount = string, roomNumber = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ conference/ {serviceName}/ rooms/ {roomNumber}/ webAccess \
-H "authorization: Bearer $OVH_TOKEN"{ "id": 0, "type": "read", "url": "string"}
Delete a web accessProduction
Delete a web access. Deletes the public web access. Its URL no longer gives access to the conference.
Path parameters
The name of your billingAccount
Id of the object
The conference room number
Response
Example uses billingAccount = string, id = 0, roomNumber = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ conference/ {serviceName}/ rooms/ {roomNumber}/ webAccess/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Get live room statisticsProduction
Get live room statistics. Returns live statistics for all the rooms of the conference service: number of rooms, active rooms and participants.
Path parameters
The name of your billingAccount
Response
The total numbers of rooms currently active in the conference number
The total number of unique participants in the conference number (aggregated from all rooms)
The number of rooms available in the conference number
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ conference/ {serviceName}/ roomsStats \
-H "authorization: Bearer $OVH_TOKEN"{ "activeRoomsCount": 0, "participantsCount": 0, "roomsCount": 0}
Get the conference settingsProduction
Get the conference settings. Returns the conference settings: PIN, language, announcements and other options.
Path parameters
The name of your billingAccount
Response
Whether announce file is played before entrance
The announce file name
The announce sound id
Whether anonymous participants are allowed
Whether participants enter conference room muted
The events channel hash
The conference sounds language
deenesfritThe conference pin number
Whether conference is recorded
AI generated content (summary and/or transcript) appended to the conference report mail. Requires recordStatus and a reportStatus other than none; set it back to none before disabling them
nonesummarytranscripttranscript+summaryThe email address to send conference report to
The status of the reporting
customernoneotherThe conference room number
True if you want to receive a white-labelled mail report of your conference
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ conference/ {serviceName}/ settings \
-H "authorization: Bearer $OVH_TOKEN"{ "announceFile": true, "announceFilename": "string", "announceSoundId": 0, "anonymousRejection": true, "enterMuted": true, "eventsChannel": "string", "language": "de", "pin": "string", "recordStatus": true, "reportAiContent": "none", "reportEmail": "string", "reportStatus": "customer", "roomNumber": 0, "whiteLabelReport": true}
Update the conference settingsProduction
Update the conference settings. Updates the PIN, language, muted entry, recording, anonymous rejection, announcement and report settings of the conference.
Path parameters
The name of your billingAccount
Request body (required)
Whether announce file is played before entrance
The announce file name
The announce sound id
Whether anonymous participants are allowed
Whether participants enter conference room muted
The events channel hash
The conference sounds language
deenesfritThe conference pin number
Whether conference is recorded
AI generated content (summary and/or transcript) appended to the conference report mail. Requires recordStatus and a reportStatus other than none; set it back to none before disabling them
nonesummarytranscripttranscript+summaryThe email address to send conference report to
The status of the reporting
customernoneotherThe conference room number
True if you want to receive a white-labelled mail report of your conference
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ conference/ {serviceName}/ settings \
-H "authorization: Bearer $OVH_TOKEN"Unlock the conference roomProduction
Unlock the conference room. Unlocks the conference room. New participants can join again. Returns the task that performs it.
Path parameters
The name of your billingAccount
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ conference/ {serviceName}/ unlock \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
List web accessesProduction
List web accesses. Returns the identifiers of the public web accesses to the conference. A web access gives a read or write URL to follow the conference.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ conference/ {serviceName}/ webAccess \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a web accessProduction
Get a web access. Returns the public web access to the conference: its type (read or write) and its URL.
Path parameters
The name of your billingAccount
Id of the object
Response
The id of the conference web access
The type of the conference web access : read or write
readwriteThe URL of the conference web access
Example uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ conference/ {serviceName}/ webAccess/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "id": 0, "type": "read", "url": "string"}
Create a web accessProduction
Create a web access. Creates a public web access to follow and manage the conference. Returns its URL.
Path parameters
The name of your billingAccount
Request body (required)
The type of the conference web access : read or write
readwriteResponse
The id of the conference web access
The type of the conference web access : read or write
readwriteThe URL of the conference web access
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ conference/ {serviceName}/ webAccess \
-H "authorization: Bearer $OVH_TOKEN"{ "id": 0, "type": "read", "url": "string"}
Delete a web accessProduction
Delete a web access. Deletes the public web access. Its URL no longer gives access to the conference.
Path parameters
The name of your billingAccount
Id of the object
Response
Example uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ conference/ {serviceName}/ webAccess/ {id} \
-H "authorization: Bearer $OVH_TOKEN"